{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous"
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static 'cart/css/style.css' %}">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light shadow-sm">
        <a class="navbar-brand" href="#">
            <img src="images/logo.png" alt="">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <ul class="navbar-nav ">

                <li class="nav-item">
                    <a class="nav-link" href="#">Account</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Log out</a>
                </li>
            </ul>
        </div>
    </nav>

    <main>
        <section class="" id="cart">
            {% if messages %}
                {% for message in messages %}
                    <p class="alert alert-{{ message.tags }}">{{ message }}</p>
                {% endfor %}
            {% endif %}
            <h2 class="cart-heading">My shopping cart</h2>
            
            <div class="row">
                <div class="col-lg-8">
                        <form method="post" action="{% url 'buy_cart_items' %}" id = "cart-item-form">
                            {% csrf_token %}
                            {% for cart_item in cart_items %}
                        <div class="row card cart-item">
                            <div class="col-md-3">
                                <img src="{{ cart_item.photo.thumbnail_path }}" alt="" class="product-img">
                            </div>
                            <div class="col-md-9">
                                <h5 class="image-title">{{ cart_item.photo.title }}</h5>
                                <p class="image-desc">{{ cart_item.photo.description }}</p>
                                <p class="image-price">Rs. {{ cart_item.photo.price }}</p>
                                <a class="remove-btn" href="{% url 'delete_cart_items' cart_id=cart_item.id %}"> <button type="button" class="btn btn-danger">Remove</button></a>
                            </div>       
                        </div>
                    {% endfor %}
                </form>
                </div>
                <div class="col-lg-4">
                    <div class="row">
                            <div class="col-md-6">Total amount :</div>
                            <div class="col-md-4">Rs. {{ total_price }}</div>
                            <div class="col-md-6">Tax :</div>
                            <div class="col-md-4">Rs. {{ tax }}</div>
                    </div>
                    <hr>
                    <div class="row">
                            <div class="col-md-6">Grand total:</div>
                            <div class="col-md-4">Rs. {{ sub_total }}</div>
                    </div>
                    <div class="mt-3">
                        <a href="{% url 'homepage' %}" ><button class="btn">Continue Shopping</button></a>
                        <button type="submit" form="cart-item-form" value="Submit" class="btn">Checkout</button>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer>
        <div class="row">
            <div class="col-md-6">
                <h3 class>Lets be Connected!</h3>
                <a href="">
                    <h5>About Us</h5>
                </a>
                <a href="">
                    <h5>Contact Us</h5>
                </a>
            </div>
            <div class="col-md-6">
                <h5>Around the web</h5>
                <a href="https://www.facebook.com/soumyasaswata.rana" target="_blank"><i class="fa fa-facebook-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.linkedin.com/in/soumya-saswata-rana-7637a843/" target="_blank"><i class="fa fa-linkedin-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.youtube.com/channel/UCTZZad-aZD-Hu5c1h7D9Q4Q?view_as=subscriber" target="_blank"><i
                        class="fa fa-youtube-square" style="font-size:25px;"></i></a>

            </div>
        </div>
    </footer>



    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
</body>

</html>